#{extends 'border.html'/}

<div class="container">
#{form "#", method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'edit.label'} &{'data.label'} &{'produk.label'} &{'gambar.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            </div>
            #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="alert-container"></div>
        <div class="panel panel-default">
        <div class="panel-body">
            <div class="row">
                <div class="form-group">
                    <div class="col-sm-2 control-label text-left">
                        <label >&{'gambar.label'}</label><span style="color:red;">*</span>
                        <br>(.jpg|.jpeg|.png)
                        <br> &{"ukuran_file_upload_image.label"} 1MB
                    </div>
                    <div class="col-sm-6">
                        <button type="button" id="addPicture" value="0" class="btn btn-primary">
                            <i class="fa fa-plus"></i>
                        &{"tambah_gambar.label"}
                        </button>
                    </div>
                </div>


                <div id="progressImage" class="progress" style="display: none;">
                    <div class="progress-bar progress-bar-success"></div>
                </div>
                <div class="form-group" id="imgFiles" ${!produk?.pictures?.isEmpty() ? "style=\"display: none\"" : ""}>
                    <div id="alert-upload-image" style="margin-top: 10px;"></div>
                    <div class="col-md-2"></div>
                    <div class="col-md-10">
                        <div id="images" class="files row">
                            #{list produk?.pictures, as:'picture'}
                                <div class="col-md-3" style="text-align: center;">
                                    <div style="max-height: 310px; overflow-y: hidden; margin-top: 5px;">
                                        <img class="img img-responsive" onerror="this.src='/public/images/image-not-found.png';" style="width: 300px;" src="${picture.getActiveUrl()}" onerror="">
                                        <a class="removeImg btn btn-danger" href="javascript:void(0)" fileid="${picture.file_name}" style="margin-top: 3px;">
                                            <i class="fa fa-trash-o"></i>
                                        </a>
                                        <input name="model.pict_id" value="${picture.file_name}" type="hidden">
                                    </div>
                                </div>
                            #{/list}
                        </div>
                    </div>
                </div>
                <input id="imageupload" type="file" name="imageFile" style="visibility: hidden">
            </div>
        </div>
        </div>
    </div>
    <input type="hidden" id="pmbid" name="pmbid" value="${pmb?.id}">
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/toast/jquery.toast.min.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>

<script type="text/javascript">
jQuery(document).ready(function () {

});
//end doc ready:
$(document).on('click', '#addPicture', function(){
    $("#imageupload").click();
});

$(document).on('click', '#imageupload', function(){
    $('#imageupload').fileupload({
        url: '@{katalog.PermohonanPembaruanCtr.uploadPictures()}',
        dataType: 'json',
        formData: {produkId: $('#product-id').val(), pmbid: $('#pmbid').val()},
        acceptFileTypes: /(\.|\/)(jpe?g|png)$/i,
        maxFileSize: 1000000,
        fail: function (e, data) {
            setTimeout(location.reload.bind(location), 1000);
        },
        done: function (e, data) {
            if(data.result.files == null){
                $('#alert-upload-image').html('<div class="alert alert-danger" role="alert">Gagal Upload, cek koneksi anda.</div>');
            }else {
                $.each(data.result.files, function (index, file) {

                    var div_col = $(document.createElement('div')).addClass("col-md-3");
                    var div_img = $(document.createElement('div')).css({"max-height": "310px", "overflow-y": "hidden"});
                    var img = $(document.createElement('img')).addClass("img img-responsive").css({"width": "300px"});
                    img.attr("src", file.file_url);

                    div_img.append(img);

                    var removeButton = $(document.createElement('a')).addClass("removeImg btn btn-primary");
                    removeButton.attr("href", "javascript:void(0)");
                    removeButton.attr("fileId", file.id);
                    removeButton.css({"text-align": "center", "margin-left": "60px", "margin-top": "10px"});

                    var icon = $(document.createElement('i')).addClass("fa fa-trash-o");
                    removeButton.append(icon);

                    var inputId = $(document.createElement('input'));
                    inputId.attr("type", "hidden");
                    inputId.attr("name", "model.pict_id");
                    inputId.val(file.id);

                    div_col.append(div_img);
                    div_col.append(removeButton);
                    div_col.append(inputId);

                    $("div#images").append(div_col);
                });

                $("#imgFiles").show();
                $('#progressImage').hide();
                $('#alert-upload-image').hide();
                updateImageCounter();
            }
            setTimeout(location.reload.bind(location), 1000);
        },
        progressall: function (e, data) {
            var progress = parseInt(data.loaded / data.total * 100, 10);
            $('#progressImage').show();
            $('#progressImage .progress-bar').css(
                    'width',
                    progress + '%'
            );
        },
        error: function (e, data) {
            $("#imgFiles").show();
            $('#progressImage').hide();
            $('#alert-upload-image').hide();
            updateImageCounter();
            $('#alert-upload-image').html('<div class="alert alert-danger" role="alert">Gagal Upload, cek koneksi anda.</div>');
            setTimeout(location.reload.bind(location), 1000);
        }
    }).on('fileuploadprocessalways', function (e, data) {
        var file = data.files[data.index];
        if (data.files.error && file.error) {
            var msg = file.name+' - '+file.error
            $('#alert-upload-image').attr('class', 'alert alert-danger').html(msg)
        }
    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
});

function updateImageCounter() {
    var total = $('#images').children().length;
    $('#addPicture').val(total);
    showAlert(total === '0', "");
}

function showAlert(status, message) {
    if (status) {
        $('.alert-container').html('<div class="alert alert-danger fade in">\n' + message + '</div>');
        setTimeout(function() {
            $('.alert-container').html('');
        }, 5000);
    } else {
        $('.alert-container').html('');
    }
    setTimeout(location.reload.bind(location), 1000);
}
function showMessageSuccess(status, message) {
    if (status) {
        container.html('<div class="alert alert-success fade in">\n' + message + '</div>');
        setTimeout(function() {
            $('.alert-container').html('');
        }, 5000);
    } else {
        $('.alert-container').html('');
    }
    setTimeout(location.reload.bind(location), 1000);
}


$(document).on('click', '.removeImg', function(){
    var parent = $(this).parent();
    var fileId = $(this).attr('fileId');
    var pmbid = $('#pmbid').val();
    $.ajax({
        type: 'POST',
        url: '@{katalog.PermohonanPembaruanCtr.hapusProdukImage()}',
        data : {'fileId': fileId, 'pmbid': pmbid},
        success : function(data){
            // console.log(data);
            if(data.status == 1){
                $('#alert-upload-image').html('<div class="alert alert-success" role="alert">Image telah terhapus</div>');
                parent.remove();
                updateImageCounter();
            }else{
                updateImageCounter();
                $('#alert-upload-image').html('<div class="alert alert-danger" role="alert">Gagal hapus Image, cek koneksi anda.</div>');
            }
        },
        error : function(){
            $('#alert-upload-image').html('<div class="alert alert-danger" role="alert">Gagal hapus Image, cek koneksi anda.</div>');
            updateImageCounter();
        }
    })
});

</script>
#{/set}